Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_PolicyList

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_SystemObject
                  oracle.ifs.server.S_TieSystemObject
                      oracle.ifs.server.S_PolicyList

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  S_TiePolicyList

    public class S_PolicyList

extends S_TieSystemObject

An `S_PolicyList` is the server-side representation of PolicyList.

(Published)

Field Summary

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_PolicyList(S_LibrarySession session, java.lang.Long classId)` Constructs a new S_PolicyList.
`protected` | `S_PolicyList(S_LibrarySession session, S_LibraryObjectData data)` Constructs a S_PolicyList.

Method Summary
`protected void` | `deriveDefinition(S_LibraryObjectDefinition sdef)` Derives the S_LibraryObjectDefinition for this class.
`protected void` | `extendedPostInsert(OperationState opState, S_LibraryObjectDefinition sdef)` Add the PolicyListElements after a successful insert of this PolicyList.
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition def)` Removes all PolicyListElements from this PolicyList prior to freeing this PolicyList.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition sdef)` Performs operations prior to updating this PolicyList.
`S_PolicyListElement[]` | `getPolicyListElements()` Gets the PolicyListElements in this PolicyList sorted by the default SortSpecification.
`S_PolicyListElement[]` | `getPolicyListElements(SortSpecification sort)` Gets the PolicyListElements in this PolicyList sorted by the SortSpecification.
`protected java.util.Vector` | `getPolicyListElementsVector()` Gets the vector of PolicyListElements for this PolicyList sorted by the default SortSpecification.
`protected java.util.Vector` | `getPolicyListElementsVector(SortSpecification sort)` Gets the vector of PolicyListElements for this PolicyList sorted by the SortSpecification.

Methods inherited from class oracle.ifs.server.S_SystemObject
`addCategory, cascadeFree, createCategories, extendedPostUpdate, extendedPreInsert, getCategories, getCategories, getCategories, handleCascade, removeCategories, updateCategories, verifyCanCreate, verifyCanFree, verifyCanUpdate`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeCopy, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copy, copyVectorToLibraryObjectArray, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, extendedPostFree, extendedPreCopy, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getAuditEventFolderContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, hasNameAttribute, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isAuditCertificateSecured, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyCanSetPolicy, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_PolicyList

    protected S_PolicyList(S_LibrarySession session,
                           S_LibraryObjectData data)
                    throws IfsException

  Constructs a S_PolicyList.

  Parameters:
    `session` - current LibrarySession
    `data` - Data component
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### S_PolicyList

    protected S_PolicyList(S_LibrarySession session,
                           java.lang.Long classId)
                    throws IfsException

  Constructs a new S_PolicyList.

  Parameters:
    `session` - current LibrarySession
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

Method Detail

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition sdef)
                             throws IfsException

  Description copied from class: `S_PolicyList`
  Derives the S_LibraryObjectDefinition for this class.

  This is called by getDefinition() on S_LibraryObject. This must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.

  Overrides:
    `deriveDefinition` in class `S_SystemObject`
  Parameters:
    `sdef` - the S_LibraryObjectDefinition that contains the definition of this object
  Throws:
    `IfsException` - if operation fails
  (Published)

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Description copied from class: `S_PolicyList`
  Removes all PolicyListElements from this PolicyList prior to freeing this PolicyList.

  Overrides:
    `extendedPreFree` in class `S_LibraryObject`
  Parameters:
    `opState` - operation state
    `def` - the server-side definition
  Throws:
    `IfsException` - if operation fails
  (Published)

### extendedPostInsert

    protected void extendedPostInsert(OperationState opState,
                                      S_LibraryObjectDefinition sdef)
                               throws IfsException

  Description copied from class: `S_PolicyList`
  Add the PolicyListElements after a successful insert of this PolicyList.

  Overrides:
    `extendedPostInsert` in class `S_SystemObject`
  Parameters:
    `opState` - operation state
    `sdef` - the server-side definition that contains the settings for the new instance.
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition sdef)
                              throws IfsException

  Description copied from class: `S_PolicyList`
  Performs operations prior to updating this PolicyList.

  The update option is specified as a SystemOption. The options are to add PolicyListElements.

  Overrides:
    `extendedPreUpdate` in class `S_SystemObject`
  Parameters:
    `opState` - operation state
    `sdef` - the server-side definition class that holds the attribute changes
  Throws:
    `IfsException` - if operation fails
  (Published)

### getPolicyListElements

    public S_PolicyListElement[] getPolicyListElements()
                                                throws IfsException

  Description copied from class: `S_PolicyList`
  Gets the PolicyListElements in this PolicyList sorted by the default SortSpecification.

  Returns:
    array of sorted S_PolicyListElement
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPolicyListElements

    public S_PolicyListElement[] getPolicyListElements(SortSpecification sort)
                                                throws IfsException

  Description copied from class: `S_PolicyList`
  Gets the PolicyListElements in this PolicyList sorted by the SortSpecification.

  Parameters:
    `sort` - the specification of how the PolicyListElements will be sorted
  Returns:
    array of sorted S_PolicyListElement
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getPolicyListElementsVector

    protected java.util.Vector getPolicyListElementsVector()
                                                    throws IfsException

  Description copied from class: `S_PolicyList`
  Gets the vector of PolicyListElements for this PolicyList sorted by the default SortSpecification.

  Returns:
    Vector of S_LOData corresponding to S_PolicyListElement
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getPolicyListElementsVector

    protected java.util.Vector getPolicyListElementsVector(SortSpecification sort)
                                                    throws IfsException

  Description copied from class: `S_PolicyList`
  Gets the vector of PolicyListElements for this PolicyList sorted by the SortSpecification.

  Parameters:
    `sort` - the specification of how the PolicyListElements will be sorted.
  Returns:
    Vector of S_LOData corresponding to S_PolicyListElement
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD